import { TypedEmitter } from 'tiny-typed-emitter';
import { SignalingMessage } from '../deviceMessages';
import { Channel } from './channel';
import { PeerConnection, PeerConnectionEvents, ServiceConfig } from './connection';
export declare class LocalPeerConnection extends TypedEmitter<PeerConnectionEvents> implements PeerConnection {
    private _channels;
    state: 'new' | 'connecting' | 'connected' | 'disconnected' | 'failed' | 'closed';
    tiebreaker: boolean;
    deviceA: {
        tiebreaker: boolean;
        services: ServiceConfig[];
    };
    deviceB: {
        tiebreaker: boolean;
        services: ServiceConfig[];
    };
    constructor(configuration: {
        deviceA: {
            tiebreaker: boolean;
            services: ServiceConfig[];
        };
        deviceB: {
            tiebreaker: boolean;
            services: ServiceConfig[];
        };
    });
    transmit(serviceConfig: ServiceConfig, id: string, channel: Channel): void;
    receive(serviceConfig: ServiceConfig, id: string, channel: Channel): void;
    handleSignalingMessage(_msg: SignalingMessage): Promise<void>;
    connect(): Promise<void>;
    teardown(): void;
    private _addChannel;
    private _createLabel;
}
//# sourceMappingURL=local-connection.d.ts.map